Gecode::Kernel::HeapChunk Class Reference

Memory chunk allocated from heap with proper alignment. More...

`#include <manager.hpp>`

## Public Attributes

double | area [1]
| Start of memory area inside chunk.
Public Attributes inherited from Gecode::Kernel::MemoryChunk
MemoryChunk * | next
| Next chunk.
size_t | size
| Size of chunk.

## Detailed Description

Memory chunk allocated from heap with proper alignment.

Definition at line 53 of file manager.hpp.

## Member Data Documentation

## area

double Gecode::Kernel::HeapChunk::area[1]

Start of memory area inside chunk.

Definition at line 56 of file manager.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/memory/manager.hpp